Bug 2166687 - cups-filters 2.0b
Summary: cups-filters 2.0b
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact:
URL:
Whiteboard:
Depends On: 2169277 2169403 2170050 2170538 2170547
Blocks: F38Changes
TreeView+ depends on / blocked
 
Reported: 2023-02-02 16:19 UTC by Ben Cotton
Modified: 2023-04-18 14:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-18 14:06:36 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2023-02-02 16:19:24 UTC
This is a tracking bug for Change: cups-filters 2.0b
For more details, see: https://fedoraproject.org/wiki/Changes/Cups-filters2.0b

The cups-filters project has been split into five projects in the new major version 2.0b - cups-filters, libcupsfilters, libppd, braille-printer-app and cups-browsed - the new projects will be packaged and cups-filters package will be rebased to version 2.0b once the other projects are available in rawhide. All projects are now united on Apache Software License 2.0.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Zdenek Dohnal 2023-02-02 18:12:34 UTC
The 4 new projects are packaged, the original cups-filters rebased and all packages available at copr repo https://copr.fedorainfracloud.org/coprs/zdohnal/cups-filters-2.0-repo/.

I did simple (printing to file device) testing and tested searching for remote printers via BrowsePoll with cups-browsed - both seemed fine.

I'll do more real printer testing after FOSDEM, code cleanup (rpminspect+covscan) and pass the new packages for review.

Created PR for fedora-comps https://pagure.io/fedora-comps/pull-request/798 .

Meanwhile the packages are available for testing via COPR.

Comment 2 Zdenek Dohnal 2023-02-20 18:54:28 UTC
All new packages are in F38 and cups-filters is rebased to 2.0b3, I've tested cups-browsed BrowsePoll functionality, printing of PDF, PS, PCL, text, JPEG, PNG and TIFF files and all were printed fine.

relengs were notified that cups-browsed arrived into F38 and rawhide.

Moving to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.